Subject: bug#8159: file-name-sans-version fails for some git files

From: Reuben Thomas <[email-masked]>
Date: Thu, 3 Mar 2011 14:53:34 +0000

On 3 March 2011 14:45, Andreas Schwab <[email-masked]> wrote:
> Reuben Thomas <[email-masked]> writes:
>
>> On 3 March 2011 14:33, Andreas Schwab <[email-masked]> wrote:
>>>
>>> It cannot be the version because it lacks the period.
>>
>> I think you're confusing two things: the VC version and the backup
>> version. Eli was talking (if I understood correctly) about the VC
>> version (which could be ~1~, e.g. in Subversion).
>
> No, it would be ".~1~".  A version suffix will always start with a
> period.

Sorry, I see what you mean, and that's why it's not ambiguous.

-- 
http://rrt.sc3d.org